Subject: Re: bug#23431: 25.0.93; EWW hangs

From: Juliusz Chroboczek <[email-masked]>
Date: Tue, 03 May 2016 22:10:34 +0200

>> Right, but it's not like this is new in 25 or anything, it's always been
>> like that.

> Oh, yeah, it's always been bad.  People just notice more now that Emacs
> has a web browser.

Yes, I'm sure I'm not the only person who's changed his working habits to
use eww for a number of daily tasks.  In my case, it's due to the easily
accessible "&" binding -- such a simple idea, and it's what made eww useful.
(I was using w3m before, but never as much as I use eww now.)

The consequence is that we use eww on random, uncontrolled pages on
a regular basis, and if it causes Emacs to hang, that's really annoying.
In some sense, eww is a victim of its success -- we're not interested in
new features, we've got "&" for when eww fails, but we're very much
grateful for any improvement in stability and performance.

Ceterum censeo bugum 17976 saciendum esse.

Thanks for your help,

-- Juliusz